

# PutTableBucketStorageClass
<a name="API_s3Buckets_PutTableBucketStorageClass"></a>

Sets or updates the storage class configuration for a table bucket. This configuration serves as the default storage class for all new tables created in the bucket, allowing you to optimize storage costs at the bucket level.

Permissions  
You must have the `s3tables:PutTableBucketStorageClass` permission to use this operation.

## Request Syntax
<a name="API_s3Buckets_PutTableBucketStorageClass_RequestSyntax"></a>

```
PUT /buckets/tableBucketARN/storage-class HTTP/1.1
Content-type: application/json

{
   "storageClassConfiguration": { 
      "storageClass": "string"
   }
}
```

## URI Request Parameters
<a name="API_s3Buckets_PutTableBucketStorageClass_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_PutTableBucketStorageClass_RequestSyntax) **   <a name="AmazonS3-s3Buckets_PutTableBucketStorageClass-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_PutTableBucketStorageClass_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [storageClassConfiguration](#API_s3Buckets_PutTableBucketStorageClass_RequestSyntax) **   <a name="AmazonS3-s3Buckets_PutTableBucketStorageClass-request-storageClassConfiguration"></a>
The storage class configuration to apply to the table bucket. This configuration will serve as the default for new tables created in this bucket.  
Type: [StorageClassConfiguration](API_s3Buckets_StorageClassConfiguration.md) object  
Required: Yes

## Response Syntax
<a name="API_s3Buckets_PutTableBucketStorageClass_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_s3Buckets_PutTableBucketStorageClass_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_s3Buckets_PutTableBucketStorageClass_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_PutTableBucketStorageClass_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/s3tables-2018-05-10/PutTableBucketStorageClass) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/s3tables-2018-05-10/PutTableBucketStorageClass) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/s3tables-2018-05-10/PutTableBucketStorageClass) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/s3tables-2018-05-10/PutTableBucketStorageClass) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/s3tables-2018-05-10/PutTableBucketStorageClass) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/s3tables-2018-05-10/PutTableBucketStorageClass) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/s3tables-2018-05-10/PutTableBucketStorageClass) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/s3tables-2018-05-10/PutTableBucketStorageClass) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/s3tables-2018-05-10/PutTableBucketStorageClass) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/s3tables-2018-05-10/PutTableBucketStorageClass) 